Page MenuHomePhabricator

Toolforge: new k8s: get new deb packages for 1.15.4 or 1.15.5
Closed, ResolvedPublic

Description

Get new packages into apt.wikimedia.org for kubernetes and kubeadm 1.15.4 or 1.15.5

Event Timeline

aborrero created this task.Oct 29 2019, 5:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2019, 5:45 PM

My first check:

aborrero@install1002:~ $ sudo -i reprepro -C thirdparty/kubeadm-k8s  checkupdate stretch-wikimedia
Calculating packages to get...
Updates needed for 'stretch-wikimedia|thirdparty/kubeadm-k8s|amd64':
'containerd.io': '1.2.6-3' will be upgraded to '1.2.10-3' (from 'thirdparty/kubeadm-k8s-docker.com'):
 files needed: pool/thirdparty/kubeadm-k8s/c/containerd.io/containerd.io_1.2.10-3_amd64.deb
'docker-ce': '5:19.03.0~3-0~debian-stretch' will be upgraded to '5:19.03.4~3-0~debian-stretch' (from 'thirdparty/kubeadm-k8s-docker.com'):
 files needed: pool/thirdparty/kubeadm-k8s/d/docker-ce/docker-ce_19.03.4~3-0~debian-stretch_amd64.deb
'docker-ce-cli': '5:19.03.0~3-0~debian-stretch' will be upgraded to '5:19.03.4~3-0~debian-stretch' (from 'thirdparty/kubeadm-k8s-docker.com'):
 files needed: pool/thirdparty/kubeadm-k8s/d/docker-ce/docker-ce-cli_19.03.4~3-0~debian-stretch_amd64.deb
'kubeadm': '1.15.1-00' will be upgraded to '1.16.2-00' (from 'thirdparty/kubeadm-k8s-kubernetes.io'):
 files needed: pool/thirdparty/kubeadm-k8s/k/kubeadm/kubeadm_1.16.2-00_amd64.deb
'kubectl': '1.15.1-00' will be upgraded to '1.16.2-00' (from 'thirdparty/kubeadm-k8s-kubernetes.io'):
 files needed: pool/thirdparty/kubeadm-k8s/k/kubectl/kubectl_1.16.2-00_amd64.deb
'kubelet': '1.15.1-00' will be upgraded to '1.16.2-00' (from 'thirdparty/kubeadm-k8s-kubernetes.io'):
 files needed: pool/thirdparty/kubeadm-k8s/k/kubelet/kubelet_1.16.2-00_amd64.deb

Couple of things:

  • why is this in stretch-wikimedia? we don't have any stretch servers for the new k8s cluster
  • Too bad that our current reprepro config goes directly to the last pkg version in the upstream repo

Change 547188 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: kubeadm-k8s: introduce filter for some upstream versions

https://gerrit.wikimedia.org/r/547188

Change 547188 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: kubeadm-k8s: introduce filter for some upstream versions

https://gerrit.wikimedia.org/r/547188

Much better after the patch:

aborrero@install1002:~ $ sudo -i reprepro -C thirdparty/kubeadm-k8s  checkupdate stretch-wikimedia
Calculating packages to get...
Updates needed for 'stretch-wikimedia|thirdparty/kubeadm-k8s|amd64':
'containerd.io': '1.2.6-3' will be upgraded to '1.2.10-3' (from 'thirdparty/kubeadm-k8s-docker.com'):
 files needed: pool/thirdparty/kubeadm-k8s/c/containerd.io/containerd.io_1.2.10-3_amd64.deb
'docker-ce': '5:19.03.0~3-0~debian-stretch' will be upgraded to '5:19.03.4~3-0~debian-stretch' (from 'thirdparty/kubeadm-k8s-docker.com'):
 files needed: pool/thirdparty/kubeadm-k8s/d/docker-ce/docker-ce_19.03.4~3-0~debian-stretch_amd64.deb
'docker-ce-cli': '5:19.03.0~3-0~debian-stretch' will be upgraded to '5:19.03.4~3-0~debian-stretch' (from 'thirdparty/kubeadm-k8s-docker.com'):
 files needed: pool/thirdparty/kubeadm-k8s/d/docker-ce/docker-ce-cli_19.03.4~3-0~debian-stretch_amd64.deb
'kubeadm': '1.15.1-00' will be upgraded to '1.15.5-00' (from 'thirdparty/kubeadm-k8s-kubernetes.io'):
 files needed: pool/thirdparty/kubeadm-k8s/k/kubeadm/kubeadm_1.15.5-00_amd64.deb
'kubectl': '1.15.1-00' will be upgraded to '1.15.5-00' (from 'thirdparty/kubeadm-k8s-kubernetes.io'):
 files needed: pool/thirdparty/kubeadm-k8s/k/kubectl/kubectl_1.15.5-00_amd64.deb
'kubelet': '1.15.1-00' will be upgraded to '1.15.5-00' (from 'thirdparty/kubeadm-k8s-kubernetes.io'):
 files needed: pool/thirdparty/kubeadm-k8s/k/kubelet/kubelet_1.15.5-00_amd64.deb

Mentioned in SAL (#wikimedia-operations) [2019-10-30T12:50:22Z] <arturo> updating package versions in install1002 for thirdparty/kubeadm-k8s stretch-wikimedia (T236824)

aborrero closed this task as Resolved.Nov 4 2019, 11:57 AM

I believe this is now done. Please @Bstorm reopen if we need anything else.

Bstorm added a comment.Nov 4 2019, 7:05 PM

Couple of things:

  • why is this in stretch-wikimedia? we don't have any stretch servers for the new k8s cluster

I don't know. Maybe we were originally thinking stretch?